net.i2p.util

## Class OrderedProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - net.i2p.util.OrderedProperties

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>
  Direct Known Subclasses:
    EmptyProperties

      public class OrderedProperties
      extends Properties

  Properties map that has its keySet ordered consistently (via the key's lexicographical ordering). This is useful in environments where maps must stay the same order (e.g. for signature verification) This does NOT support remove against the iterators / etc.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Map.Entry<Object,Object>>` | `entrySet()`
    `Set<Object>` | `keySet()`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedProperties

          public OrderedProperties()

  - ### Method Detail

    - #### entrySet

          public Set<Map.Entry<Object,Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<Object,Object>`
      Overrides:
        `entrySet` in class `Hashtable<Object,Object>`

    - #### keySet

          public Set<Object> keySet()

      Specified by:
        `keySet` in interface `Map<Object,Object>`
      Overrides:
        `keySet` in class `Hashtable<Object,Object>`